Cabal-1.18.1.3: A framework for packaging Haskell software

Copyright | Isaac Jones 2003-2005, Ross Paterson 2006, Duncan Coutts 2007-2008, 2012
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | None
Language | Haskell98

Distribution.Simple.Build

Description

This is the entry point to actually building the modules in a package. It doesn't actually do much itself, most of the work is delegated to compiler-specific actions. It does do some non-compiler specific bits like running pre-processors.

Synopsis

- build :: PackageDescription -> LocalBuildInfo -> BuildFlags -> [PPSuffixHandler] -> IO ()
- repl :: PackageDescription -> LocalBuildInfo -> ReplFlags -> [PPSuffixHandler] -> [String] -> IO ()
- initialBuildSteps :: FilePath -> PackageDescription -> LocalBuildInfo -> Verbosity -> IO ()
- writeAutogenFiles :: Verbosity -> PackageDescription -> LocalBuildInfo -> IO ()

# Documentation

build

Arguments

:: PackageDescription | Mostly information from the .cabal file
-> LocalBuildInfo | Configuration information
-> BuildFlags | Flags that the user passed to build
-> [PPSuffixHandler] | preprocessors to run before compiling
-> IO () |

Build the libraries and executables in this package.

repl

Arguments

:: PackageDescription | Mostly information from the .cabal file
-> LocalBuildInfo | Configuration information
-> ReplFlags | Flags that the user passed to build
-> [PPSuffixHandler] | preprocessors to run before compiling
-> [String] |
-> IO () |

initialBuildSteps

Arguments

:: FilePath | "dist" prefix
-> PackageDescription | mostly information from the .cabal file
-> LocalBuildInfo | Configuration information
-> Verbosity | The verbosity to use
-> IO () |

writeAutogenFiles :: Verbosity -> PackageDescription -> LocalBuildInfo -> IO ()

Generate and write out the Paths_pkg.hs and cabal_macros.h files